<template>
  <div class="fix-height-subpage column no-wrap q-pa-md">
    <dida-header></dida-header>
    <div class="col q-mt-md" :class="{'light-shadow q-pa-md bg-white rounded-border':$q.platform.is.desktop}">
      <dida-list-table></dida-list-table>
    </div>
  </div>
</template>

<script lang="ts">
  import useMetaModule from '../../module/meta/metaModule'
  import {
    useI18n
  } from 'vue-i18n'
  import svgIcon from '../../components/global/svg-icon.vue'
  import { defineComponent,inject,provide,reactive,ref,toRefs} from 'vue'
  import { DirtionmaryHelper} from '../../config/dictionary'
  import DidaHeader from '../../components/scattered/dida/DidaHeader.vue'
  import DidaListTable from '../../components/scattered/dida/DidaListTable.vue'
  import { date} from 'quasar'
  export default defineComponent({
    components: { svgIcon, DidaHeader,DidaListTable},
    setup() {
      const data = reactive({})
      let { setTitle } = useMetaModule()
      const { locale, t} = useI18n()
      const pageTitle = inject(DirtionmaryHelper.PAGE_TITLE_KEY) as any
      pageTitle.value = t('menu.scattered.didaName')
  
      setTitle(pageTitle.value)
      const search = reactive({
        CheckInDate: '', //开始日期
        CheckOutDate: '', //结束日期
        HotelKeyWord: '', //地区名字 
        MaxStarRating: '', //最大评分数
        MinStarRating: '', //最小评分数
        BedTypeID: '', //类型的房间
        BreakfastTypeID: '', //饮食条件搜索	
        MinPrice: '', //最小金额
        MaxPrice: '', //最大金额
        Name_CN:"",//酒店名字
        CityCode:"",
       searchroomGroup: [] as Array<ang>,//客房数
        searchHotelIdList: [],
      })

      provide(DirtionmaryHelper.DiDaHOTEL_QUERY_PARAM, search)

      const menu = inject(DirtionmaryHelper.MENU_KEYS) as any
      menu.value = 23
      const methods = {}
      return {
        ...toRefs(data),
        ...methods
      }
    }
  })

</script>

<style></style>
